eCos User Guide
Prev | Chapter 15. Getting Started | Next

# Invoking the eCos Configuration Tool

## On Linux

Add the eCos Configuration Tool install directory to your PATH, for example:

    export PATH=/opt/ecos/ecos<version>/bin:$PATH

You may run configtool with zero, one or two arguments. You can specify the eCos repository location, and/or an eCos save file (extension .ecc) on the command line. The ordering of these two arguments is not significant. For example:

    configtool /opt/ecos/ecos<version>/packages myfile.ecc

The Configuration Tool will be displayed (see Figure 15-1).

## On Windows

There are two ways in which to invoke the eCos Configuration Tool:

- from the desktop explorer or program set up at installation time (by default Start -> Programs -> eCos -> Configuration Tool ).

- type (at a command prompt or in the Start menu’s Run item): <foldername>\ConfigTool.exe where <foldername> is the full path of the directory in which you installed the eCos Configuration Tool.

- The Configuration Tool will be displayed (see Figure 15-1).

You may run configtool with zero, one or two arguments. You can specify the eCos repository location, and/or an eCos save file (extension .ecc) on the command line. The ordering of these two arguments is not significant. For example:

    configtool "c:\Program Files\eCos\packages" myfile.ecc

If you invoke the configuration tool from the command line with --help, you will see this output:

    Usage: eCos Configuration Tool [-h] [-e] [-v] [-c] [input file 1] [input file 2]
      -h  --help        	displays help on the command line parameters
      -e  --edit-only   	edit save file only
      -v  --version     	print version
      -c  --compile-help	compile online help only

This summarizes valid parameters and switches. Switches are shown with both short form and long form.

--help shows valid options and parameters, as above.

--edit-only runs the Configuration Tool in a mode that suppresses creation of a build tree, in case you only want to create and edit save files.

--version shows version and build date information, and exits.

--compile-help compiles help contents files from the HTML documentation files that the tool finds in the eCos repository, and exits.

Figure 15-1. Configuration Tool

Prev | Home | Next
Getting Started | Up | The Component Repository